/* Extra small devices (portrait phones, less than 576px)
No media query for `xs` since this is the default in Bootstrap */

*{
    margin:0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Avenir Black';
    color: black;
    font-size: 1rem;
}

html, body {
    min-height: 100%;
    overflow-x: hidden;
}

p{
    font-family: 'Avenir';
    font-size: 1rem;
}

h2{
    font-size: 2rem;
}

h3{
    font-size: 1.8rem;
}

h4{
    text-align: center;
    font-size: 1.3rem;
}

.header{
    color: #EE9614;
}

.container-fluid{
    padding: 0;
}

.hidden{
    display: none;
}

.defaultButton{
    color: black;
    display: flex;
    background-color: transparent;
    border: 2px solid black;
    border-radius: 5px; 
    text-decoration: none;
    text-align: center;
    margin: 0px 10px 0px 0px;
    padding: 5px 10px;
    display: block;
    font-size: 0.8rem;
    transition-duration: 0.4s;
}

.defaultButton:hover{
    color: white;
    background-color: #7C7C74;
    border: 2px solid  #7C7C74;
    text-decoration: none;
}

.leadText{
    font-size: 6vw;
    color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 13vw;
    padding-left: 5vw;
}

.myBox1{
    min-height: 1rem;
    margin: 1rem;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.myBox2{
    text-align: center;
    min-height: 1rem;
    margin: 1rem;
    padding: 1rem;
}


/* Nav Bar */

.bgNav{
    background-color: black;
    margin: 0;
    padding: 0;
}

.navbar-dark .navbar-nav .nav-link{
    color: white;
    font-size: 0.8rem;
}

.myActive{
    color: #EE9614;
    font-size: 0.8rem;
}

.logo{
    max-height: 65px;
    margin: 0;
    padding: 0;
}

.fab{
    color: white;
    font-size: 1.2rem;
    margin: 10px; /* Need to review padding on logos and why it only shows correctly on homepage */
}

.fab:hover{
    color: #EE9614;
}

.myButton2{
    color: white;
    font-size: 0.8rem;
    background-color: transparent;
    border: 2px solid white;
    float: right; /* Need to review this so when it scales down it doesn't look like that */
}

.myButton2:hover{
    color: white;
    border: 2px solid #EE9614;
    background-color: #EE9614;
    text-decoration: none;
}


/*Footer*/

.myFooter{
    background-color: rgb(0, 0, 0);
    color: white;
    min-height: 20vw;
    padding: 0;
}

.logoFooter{
    margin: 0rem 1rem 1rem 1rem;
}

.footerPages{
    float: right;
    align-items: center;
    text-decoration: none;
    list-style-type: none;
    padding: 1rem;
}

.footerItems{
    font-weight: bold;
    color: white;
    text-decoration: none;
    font-size: 1rem;
}

.footerItems:hover{
    color: #EE9614;
    text-decoration: #EE9614;
}

.socialsFooter{
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.socials{
    display: flex;
    flex-direction: row;
    justify-content: center;
    padding: 0.5rem;
}


/* Homepage */
.myHeroHome{
    background-image: url(images/team_pic-new-saveforweb.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: left top;
    min-height: 40vw;
    padding: 2rem;
    margin-top: 2rem;
}

.logoMain{
    margin-left: 5vw;
    width: 30vw;
    opacity: 1;
    margin-top:0;
}

.buttonBooking1{
    width: 5rem;
    margin-top: 1vw;
    margin-left: 9.5vw;
    display: flex;
    background-color: white;
    border-radius: 5px; 
    text-decoration: none;
    text-align: center;
    padding: 5px;
    display: block;
    font-size: 0.6rem;
    transition-duration: 0.4s;

}

.buttonServices{
    width: 9rem;
    color: white;
    border: 2px solid white;
}

.myHero1{
    background-image: url(images/wella.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center; /* Keep the background centred */
    min-height: 40vw;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding: 2rem;
    padding-left: 4rem;
}

.heroBackground{
    background-color: rgba(0, 0, 0, 0.5);
    padding: 2rem;
}

.buttonAbout{
    width: 9rem;
}

.blurb{
    color: white;
}

.facebookCurator{
    font-family: 'Avenir';
    font-size: 1rem;
}

.myBoxSocials{
    background-color: rgb(255, 221, 233);
    min-height: 1rem;
    margin: 1rem;
    padding: 3rem;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.myHero2{
    background-image: url(images/home_subhero.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center; /* Keep the background centred */
    min-height: 40vw;
    padding: 2rem;
    padding-left: 4rem;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.buttonBooking2{
    color: white;
    width: 8rem;
    border: 2px solid white;
}


/* About */

.myHero3{
    background-image: url(images/about_interum.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: top right; /* Keep the background centred */
    min-height: 35vw;
    margin-top: 3.7rem;
}

.aboutpage{
    position: relative;
    z-index: 5;
}
.jump-to-top{ /*button*/
    position: fixed;
    top: 75px;
    right: 20px;
    transition: 0.5s;
    z-index: 1;
    color: black;
    padding-top: 0.5rem;
}

.jump-to-top:hover{
    color: #EE9614;
}

.staffId{
    width: 100%;
    position: relative;
    text-align: center;
    color: white;
    padding: 0;
    margin: 0;
}

.staffTitle{
    opacity: 0;
    width:100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.885);
    text-align: center;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.staffTitle:hover{
    opacity: 100; 
    padding: 0;
    margin: 0; 
}

.title{
    font-family: 'Avenir';
    font-weight: bold;
    font-size: 1.5rem;
}

.description{
    font-size: 1.3rem;
}

.orangeLine{
    text-align: center;
    height: 5px;
    width: 40%;
    background-color: #EE9614;
    border-radius: 2rem;
}

.readMore{
    text-decoration: none;
    font-family: 'Avenir';
    font-size: 1rem;
}

.readMore:hover{
    text-decoration: none;
    font-weight: bold;
}

.staffProfile{
    padding: 2rem 0rem 1rem 0rem;
}

.staffName{
    font-size: 1.5rem;
    font-family: 'Avenir';
    text-align: center;
    padding: 1rem;
}

.myBoxAbout{
    min-height: 1rem;
    margin: 1rem;
    padding: 0rem;
    display: flex;
    flex-direction: column;
}

/* Services */

.myHero4{
    background-image: url(images/hero_services.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center; /* Keep the background centred */
    min-height: 35vw;
    margin-top: 3.7rem;
}

.myServices{
    min-height: 1rem;
    margin: 1rem;
    padding: 1rem;
    display: flex;
    flex-direction: column;
}

.h2Services{
    font-size: 2rem;
    color: #EE9614;
}

.priceServices{
    font-family: 'Avenir';
}

.note{
    font-family: 'Avenir Black';
    font-weight: bold;
    color: #EE9614;
    text-align: center;
    min-height: 50px;
    margin: 1rem 0.5rem;
    padding: 1rem;
}

.productId{
    width: 100%;
    position: relative;
    text-align: center;
    padding: 0;
    margin: 0;
    background-color: #EE9614;
}

.productName{
    font-size: 1rem;
    font-family: 'Avenir';
    text-align: center;
    padding: 1rem;
    color: black; 
}



/* Contact */

.myHero5{
    background-image: url(images/contact.jpg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center; /* Keep the background centred */
    min-height: 35vw;
    margin-top: 3.7rem;
}

.vergePhone{
    color: black;
    font-family: 'Avenir';
    text-decoration: none;
}

.vergePhone:hover{
    color: #EE9614;
}

.vergeEmail{
    color: black;
    font-family: 'Avenir';
    text-decoration: none;
}

.vergeEmail:hover{
    color: #EE9614;
}

/* Other */
.myHero{
    background-color: rgb(142, 243, 168);
    min-height: 500px;
    padding: 20px;
}

.myForm{
    padding: 20px;
    margin: 0px 10px 20px 10px;
}


/* Small devices (landscape phones, 576px and up) */
@media (min-width: 768px) { 
    *{
        margin:0;
        padding: 0;
        box-sizing: border-box;
        font-family: 'Avenir Black';
        color: black;
        font-size: 1.1rem;
    }
    
    html, body {
         min-height: 100%;
         overflow-x: hidden;
    }
    
    p{
        font-family: 'Avenir';
        font-size: 1rem;
    }
    
    h2{
        font-size: 3vw;
    }
    
    h3{
        font-size: 1.8rem;
    }
    
    h4{
        text-align: center;
    }  

    .defaultButton{
        font-size: 1rem;
    }

    .myButton2{
        font-size: 1rem;
    }

    .myBox1{
        padding: 4rem;
    }

    .footerLists{
        padding: 4rem;
    }

    .socials{
        padding: 1rem;
    }

    .myHeroHome{
        min-height: 40vw;
        margin-top: 2;
    }

    .myBoxAbout{
        padding: 3rem;
    }

    .buttonAbout{
        width: 10rem;
    }

    .buttonBooking1{
        width: 8rem;
        margin-top: 1vw;
        margin-left: 9.5vw;
    }

    .buttonBooking2{
        width: 8rem;
    }

    .description{
        font-size: 1rem;
    }

    .buttonServices{
        width: 10rem;
    }
    
}

/* Small devices (landscape phones, 576px and up) */
@media (min-width: 770px) { 
    .myHeroHome{
        min-height: 40vw;
        margin-top: 4;
    }
    
}


